package cz.moneta.test.dsl.auto.smartauto.shared;

public interface CommonElements {
    String LOADER_DIV = "//div[contains(@class, 'loader')]";
    String MODAL = "//div[@role='dialog']";
    String COLUMNS_BUTTON = "(//span[contains(text(), 'Sloupce')])";
    String REACT_TABLE = "//div[contains(@class, 'card')]";
    String REACT_TABLE_LINK_ICON = "//span[contains(@class, 'c-icon c-icon--arrowRight')]";
    String SAVE_CALCULATION_BUTTON = "//span[contains(text(), 'Uložit')]";
    String SUCCESSFUL_SAVED_CALCULATION_MESSAGE = "//div[contains(text(), 'Kalkulace byla úspěšně uložena.')]";

    // Shared menu for DF
    String DF_MENU_DASHBOARD = "(//span[contains(text(), 'Přehledy')])[1]";
    String DF_MENU_FINANCING = "(//span[contains(text(), 'Financování')])[1]";
    String DF_MENU_INVOICES = "(//span[contains(text(), 'Faktury')])[1]";
    String DF_MENU_MESSAGES = "(//span[contains(text(), 'Zprávy')])[1]";

    // Shared menu for CR
    String CR_MENU_FOR_BILLING = "(//span[contains(text(), 'K fakturaci')])[1]";
    String CR_MENU_INVOICES = "(//span[contains(text(), 'Faktury')])[1]";
    String CR_MENU_COMMISSIONS = "(//span[contains(text(), 'Provize')])[1]";
    String CR_MENU_CREDIT_NOTES = "(//span[contains(text(), 'Dobropisy')])[1]";

    // Shared buttons for DF and CR
    String ACTIVE_FILTERS_BUTTON = "//span[contains(text(), 'Aktivních filtrů')]";
    String SORT_ACTIVITY_BUTTON = "//span[contains(text(), 'Třídění aktivní')]";
    String EXPORT_BUTTON = "//span[contains(text(), 'Export')]";
    String PREVIOUS_PAGE_BUTTON = "//button[contains(text(), 'Předchozí strana')]";
    String NEXT_PAGE_BUTTON = "//button[contains(text(), 'Další strana')]";
}
